:root {
    /* #FFEED6 */
            --background: #FFEFD6;
            --darked-background:#FFD899;     
            --dark-coffe: #32291F;
            --darker-coffe: #22170f;
            --pitch-black: #181410;
            --light-coffe:#625141;
            --grey-olive: #808F87;
            --dark-red: #C73E1D;
            --light-red:#E74723;
            --blue: #0F7173;
            --fade-blue : #0f7173b3;
            --darked-blue:#073436;
            --sari-ipucu: #f1c40f;
        }

head,body{
    padding: 0;
    margin: 0;
    width: 100%;
    height: 100%;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

::selection{
    background-color: var(--grey-olive);
    color: var(--background);
}
::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}
/* Track */
::-webkit-scrollbar-track {
  background-color:rgba(128, 128, 128, 0.307);
}

/* Handle */
::-webkit-scrollbar-thumb {
  background-color:var(--grey-olive); /* Göz yormayan, her temaya uyan bir gri */
  border-radius: 10px;
  border: 2px solid transparent; /* Çubuğun kenarlarından boşluk bırakarak havada asılı gibi gösterir */
  background-clip: padding-box; 
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background:rgb(93, 104, 98);
  border-radius: 10px;
  border: 2px solid transparent; /* Çubuğun kenarlarından boşluk bırakarak havada asılı gibi gösterir */
  background-clip: padding-box; 

}
a{
    text-decoration: none;
    color: var(--background);
}
input, button{
    border: none;
    outline: none;
}
body{
    background-color: var(--background);
    
}
#header-left{
    height: 100%;
}
#headerDiv{
    display: flex;
    justify-content: space-between;
    align-items: center;
    unicode-bidi: isolate;
    z-index: 1;
    position: fixed;
    top:0;
    width: 100%;
    height: 10vh;
    background-color:var(--pitch-black);
    backdrop-filter: blur(5px);
}
header #logo{

    /*
    background-image: url(3.png);
    background-size: cover;
    background-position: center;*/
    width: 5vw;
    height: 100%;
    color: var(--background);
    font-size: 30px;
    margin-left: 20px;
}
#logo svg{
   width: 8vw; 
    height: 100%; 
    min-width: 45px; 
    max-width: 70px; 
    flex-shrink: 0; 
    display: block;
}
#header-right{
    display: flex;
    flex-direction: row;
    margin-right: 70px;
    gap: 20px;
}
select option{
    border-radius: 20px;
    background-color: var(--dark-red);
    color: var(--dark-coffe);
}
#thmLbl{
    margin-top: 2px;
    display: inline-block;
     width: 60px;
     height: 32px;
     background-color: var(--grey-olive);
     position: relative;
     border-radius: 20px;
     cursor: pointer;
     
}
#thmLbl #theme-buton{
  width: 20px;
  height:20px;
  border-radius: 50%;
  background-image: url(light_mode_32dp_FFFFFF_FILL0_wght400_GRAD0_opsz40.png);
  background-size: cover;
  background-repeat: no-repeat;
  position: absolute;
  top: 5px;
  left: 7px;
  transition: 550ms left, 550ms background-color, 350ms background-image;
}
#thmLbl input{
display: none;
}

#thmLbl input:checked + #theme-buton{
  left: 38px;
  background-image: url(dark_mode_32dp_FFFFFF_FILL0_wght400_GRAD0_opsz40.png);
  background-size: cover;
 
}

#mainDiv{
    padding: 0;
    margin: 0;
    width: 100%;
    height: 100%;
} 
h1{
    color: var(--dark-coffe);
    font-size: 50px;
    text-align: center;
    margin-top: 12%;
}
#textDiv{
    width: 30%;
    height: 50%;
    margin: auto;
}
#textp{
    color: var(--dark-coffe);
    font-size:x-large;
    font-weight: 450;
    text-align: center;
    margin-top: 20px;
}
#whatİsText{
    display: none;
    width: 30%;
    height: 50%;
    margin: auto;
    color: var(--dark-coffe);
    font-size:medium;
    font-weight: 350;
    text-align: center;
    margin-top: 20px;
    margin-bottom: 40px;
}
#whatİsText h2{
    font-weight: 400;
}


#whatİs{
    background-color: var(--background);
    position: relative;
    margin: 0 auto;
    display: block;
    color: var(--grey-olive);
    width: 200px;
    height: 60px;
    border-radius: 20px;
    border: none;
    cursor: pointer;
}
#whatİs:hover{
    color: var(--blue);
}
#preRegister{
    
    position: fixed;
    bottom: 15px;
    right: 20px;
    color: var(--background);
    width: 200px;
    height: 60px;
    background-color: var(--dark-red);
    border-radius: 20px;
    cursor: pointer;
    transition: all 1s ease;
}
#preRegister:hover{
    background-color: var(--light-red);
}
#preRegister.up-btn{
    bottom: 350px;
}

#preRegisterBar{
    color: var(--background);
    background-color: var(--light-red);
    width: 200px;
    height: 300px;
    display: flex;
    border-radius: 20px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: fixed;
    bottom: -300px;
    right: 20px;
    transition: all 1s ease;
}
#preRegisterBar.up-br{
    bottom: 15px;
}
#preRegisterBar input{
    text-align: start;
    padding-left: 15px;
    margin-bottom: 15px;
    border-radius: 20px;
    width: 80%;
    height: 10%;
    color: var(--grey-olive);
    background-color: var(--background);
   
}
#preRegisterBar p{
    margin-top: 1px;
    text-align: center;

}
#preRegisterBar button{
     margin-bottom: 5px;
    border-radius: 20px; 
    width: 80%;
    height: 10%;   
    background-color: var(--blue);
    color: var(--background);
    margin-top: 5px;
    cursor: pointer;
}
footer{
    margin-top: 150px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 25vh;
    background-color: var(--dark-coffe);
    background-color: var(--pitch-black);
    color: var(--background);
}
footer p{
    width: auto;
    text-align: center;
    padding: 7px;
}   

@media screen and (max-width: 768px) {
    #textDiv{
    width: 90%;
    height: 50%;
    margin: auto;
}
#textp{

    font-weight: 300;

}
#whatİs{
    width: 150px;
    height: 50px;
    background-color: var(--background);
    border-radius: 20px;
    border-color: none;
}
#preRegister{
    width: 150px;
    height: 50px;
    background-color: var(--dark-red);
    border-radius: 20px;
}
#preRegisterBar{
    font-size: small;
    width: 150px;
    height: 250px;
    background-color: var(--light-red);
    border-radius: 20px;
}
#preRegisterBar input{
    font-size: smaller;
}
h1{
    margin-top: 15vh;
}
#whatİsText{
    width: 90%;
    height: 50%;
    margin: auto;
}
header #logo{
    margin-top: 4vh; 
    font-size: 5vw;
}
#header-right{
    margin-right: 4vw;
}
footer{
    z-index: -1;
    position: absolute;
    height: 25vh;
  
}

}
@media screen and (max-width: 900px) and (orientation: landscape) {
    #whatİsText{
    width: 90%;
    height: 50%;
    margin: auto;
}
    
#headerDiv{
    position: relative;
    height: 20vh;
}
header #logo{
    margin-top: 6vh; 
}

#thmLbl{
    margin-top: 3px;
}
#textDiv{
    position: relative; 
    left: 50%; 
    transform: translateX(-50%);
    width: 90%;
    height: 50%;
} 
#textp{
    width: 90%;
    height: 50%;
    
    font-weight: 300;

}
#preRegister{
    width: 150px;
    height: 50px;
    background-color: var(--dark-red);
    border-radius: 20px;
}
#preRegisterBar{
    font-size: small;
    width: 150px;
    height: 180px;
    background-color: var(--light-red);
    border-radius: 20px;
}
#preRegister.up-btn{
    bottom: 195px;
}
#preRegisterBar.up-br{
    bottom: 5px;
}
#preRegisterBar input{
    font-size: smaller;
}
    
footer{
    z-index: -1;
    position: absolute;
    height: 50vh;
  
}

}
@media screen and (max-width: 650px) and (orientation: landscape) {
    #whatİsText{
    width: 90%;
    height: 50%;
    margin: auto;
}
    
#headerDiv{
    position: relative;
    height: 20vh;
}
header #logo{
    margin-top: 6vh; 
}


#thmLbl{
    margin-top: 3px;
}
#textDiv{
    position: relative; 
    left: 50%; 
    transform: translateX(-50%);
    width: 90%;
    height: 50%;
} 
#textp{
    width: 90%;
    height: 50%;
    
    font-weight: 300;

}
#preRegister{
    width: 150px;
    height: 50px;
    background-color: var(--dark-red);
    border-radius: 20px;
}
#preRegisterBar{
    font-size: small;
    width: 150px;
    height: 180px;
    background-color: var(--light-red);
    border-radius: 20px;
}
#preRegister.up-btn{
    bottom: 195px;
}
#preRegisterBar.up-br{
    bottom: 5px;
}
#preRegisterBar input{
    font-size: smaller;
}
    
footer{
    z-index: -1;
    position: absolute;
    height: 60vh;
  
}

}


    